Package owl.automaton.transformations

## Class RabinDegeneralization

- java.lang.Object
- - owl.run.modules.Transformers.SimpleTransformer
  - - owl.automaton.transformations.RabinDegeneralization

- All Implemented Interfaces:
    `OwlModule`, `Transformer`, `Transformer.Instance`

      public final class RabinDegeneralization
      extends Transformers.SimpleTransformer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.run.modules.Transformer

      `Transformer.Instance`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OwlModuleParser.TransformerParser` | `CLI` |
    `static RabinDegeneralization` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RabinDegeneralization()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S> Automaton<?,​RabinAcceptance>` | `degeneralize​(Automaton<S,​? extends GeneralizedRabinAcceptance> automaton)` |
    `Object` | `transform​(Object object, PipelineExecutionContext context)` | Applies the transformation represented by this transformer to the given object.

    - ### Methods inherited from class owl.run.modules.Transformers.SimpleTransformer

      `create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RabinDegeneralization INSTANCE

    - #### CLI

          public static final OwlModuleParser.TransformerParser CLI

  - ### Constructor Detail

    - #### RabinDegeneralization

          public RabinDegeneralization()

  - ### Method Detail

    - #### degeneralize

          public static <S> Automaton<?,​RabinAcceptance> degeneralize​(Automaton<S,​? extends GeneralizedRabinAcceptance> automaton)

    - #### transform

          public Object transform​(Object object,
                                  PipelineExecutionContext context)

      Description copied from interface: `Transformer.Instance`
      Applies the transformation represented by this transformer to the given object.